package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuCombineskuQueryRequest struct {
	/*
	   请求参数     */
	Param *domain.AlibabaWdkSkuCombineskuQuerySkuQueryDO `json:"param" required:"true" `
}

func (s *AlibabaWdkSkuCombineskuQueryRequest) SetParam(v domain.AlibabaWdkSkuCombineskuQuerySkuQueryDO) *AlibabaWdkSkuCombineskuQueryRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkSkuCombineskuQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkSkuCombineskuQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
